Help - app won't install - device incompatible

Page 1 of 1 (4 items)
This post has 3 Replies | 1 Follower

Posts 189
Edil | Forum Activity | Posted: Wed, Apr 22 2020 3:43 AM

Hello,

I had the Logos Bible app installed on my android smartphone and running without problems. I wanted to try another app but I didn't have enough memory so I uninstalled Logos app temporarily to try the other app, something that I had done many times in the past. After testing the other app I removed it completely and went back to the play store to install Logos again but this time I got a message that says that my device is incompatible and it doesn't allow me to install it. Again the logos app was working without problems in my smartphone. I was also listed as a beta tester and the play store removed me from the beta test program without my consent.

Again the app was working so how can I install it back. If it is because I had an old version and there is a new one how can I get the old one? If the beta version is the problem how can I get the non-beta version? Is there any other repository for android apps were I can get the logos app?

Please advice.

Posts 22830
Forum MVP
Graham Criddle | Forum Activity | Replied: Wed, Apr 22 2020 4:43 AM

Hi Edil - sorry to hear you are having problems.

What Android device do you have and what version of the Android operating system?

Posts 189
Edil | Forum Activity | Replied: Wed, Apr 22 2020 11:57 AM

Graham thanks for you help but please tell me why it matters? yes my phone is old and it cannot be updated to the latest Android version but again the app was working without problems. Just yesterday I was able to open my bibles, documents, passage guide, everything was working. If I ever knew that I won't be able to install back the app I would had never removed in the first place or at least created a backup before uninstalling it. I did not made the backup because installing and uninstalling apps is normal to me and is the first time that I see this with an app. My smartphone is running all the other apps without problems and they are constantly getting updated, it doesn't matter if I download them from F-Droid or form Google Play Store.

Can someone please send me the .APK file for the logos app? If you have version 7 it will be fine. I know how to manually install it. I already call Logos support and the only option they gave me was to use the program via the phone web browser but it is not the same. First, there is no wi-fi at my church so I will be consuming data from my plan and I already had the most used book downloaded in the phone memory.

Posts 22830
Forum MVP
Graham Criddle | Forum Activity | Replied: Wed, Apr 22 2020 1:20 PM

Edil:
but please tell me why it matters?

Because the minimum supported version is Android 6 as per https://wiki.logos.com/Android_Release_Notes

Edil:
Just yesterday I was able to open my bibles, documents, passage guide, everything was working

My speculation - and this is all it is - is that while the app worked, there are checks made when trying to install from the store to check it is a supported version of the Android software.

Edil:
Can someone please send me the .APK file for the logos app?

I'm afraid I don't know where the .APKs can be sourced from - but others might.

Page 1 of 1 (4 items) | RSS